org.apache.lucene.queries.function.valuesource

## Class ConstValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.ConstNumberSource
    - - org.apache.lucene.queries.function.valuesource.ConstValueSource

    public class ConstValueSource
    extends ConstNumberSource

`ConstValueSource` returns a constant for all documents

### Constructor Summary

Constructors
Constructor and Description
`ConstValueSource(float constant)`

### Method Summary

Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`boolean` `getBool()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`Number` `getNumber()`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`createWeight, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstValueSource

    public ConstValueSource(float constant)

### Method Detail

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Specified by:
  `description` in class `ValueSource`

#### getValues

    public FunctionValues getValues(Map context,
                           AtomicReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight()

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ValueSource`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in class `ValueSource`

#### getInt

    public int getInt()

Specified by:
  `getInt` in class `ConstNumberSource`

#### getLong

    public long getLong()

Specified by:
  `getLong` in class `ConstNumberSource`

#### getFloat

    public float getFloat()

Specified by:
  `getFloat` in class `ConstNumberSource`

#### getDouble

    public double getDouble()

Specified by:
  `getDouble` in class `ConstNumberSource`

#### getNumber

    public Number getNumber()

Specified by:
  `getNumber` in class `ConstNumberSource`

#### getBool

    public boolean getBool()

Specified by:
  `getBool` in class `ConstNumberSource`